Skip to main content
GET
/
v1
/
w3s
/
tokens
/
{id}
Get token details
curl --request GET \
  --url https://api.circle.com/v1/w3s/tokens/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.circle.com/v1/w3s/tokens/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.circle.com/v1/w3s/tokens/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "token": {
      "id": "c4d1da72-111e-4d52-bdbf-2e74a2d803d5",
      "blockchain": "MATIC-AMOY",
      "isNative": true,
      "updateDate": "2023-01-01T12:04:05Z",
      "createDate": "2023-01-01T12:04:05Z",
      "name": "<string>",
      "decimals": 123,
      "symbol": "<string>",
      "tokenAddress": "0xca9142d0b9804ef5e239d3bc1c7aa0d1c74e7350"
    }
  }
}
{
  "code": 400,
  "message": "Bad request."
}
{
  "code": 401,
  "message": "Malformed authorization."
}
{
  "code": 404,
  "message": "Not found."
}

Authorizations

Authorization
string
header
required

Circle's API Keys are formatted in the following structure "PREFIX:ID:SECRET". All three parts are required to make a successful request.

Path Parameters

id
string<uuid>
required

The universally unique identifier of the resource.

Example:

"b3d9d2d5-4c12-4946-a09d-953e82fae2b0"

Response

Token found

data
object